#!/bin/bash
#git branch -D r10-beta
TOSET="$1"

if [ -z "$TOSET" ]; then
  echo "empty version"
  exit 12
fi

git branch -D r10-beta
git checkout -b r10-beta
sed -i "/^VERSION/ s/10-lh/$TOSET/g" rocky/variables.conf
sed -i "s/r10s/r10-beta/g" rocky/variables.conf
git add -A
git commit -m "Set to $TOSET and prep"

echo "Use git push -f to push to r10-beta"
